English
This forum is closed for posting. Please, join us in our Discord server at discord.gg/regnum. See you there!

Go Back   Champions of Regnum > English > Technical Support > Linux

Linux Technical issues under Linux platform

Reply
 
Thread Tools Display Modes
Old 03-25-2010, 08:18 PM   #1
CrimsonTear
Pledge
 
Join Date: Mar 2010
Posts: 7
CrimsonTear is on a distinguished road
Question Confusing..

Hello everyone, im new to linux ( got it a few days ago ) and i decided to try out this game.

I managed to solve the graph. card to old problem thanks to the forum.

However the new problem is.. :

The launcher works i can log in and all.. but once i hit enter world.. the launcher just closes without any error messages or anything.

In other words i cant get into the game and i got no idea whats wrong...
so im rly counting on your help here guys

dunno if this help, here is my log.txt
Code:
[25/03/2010 21:19:35] [RenderizerGL][renderizer_gl_x11.cpp(224)] X Server vendor: The X.Org Foundation
[25/03/2010 21:19:35] [RenderizerGL][renderizer_gl_x11.cpp(228)] X Server release: 1.6.4
[25/03/2010 21:19:35] [RenderizerGL][renderizer_gl.cpp(326)] XVidMode Extension version 2.2
[25/03/2010 21:19:35] [RenderizerGL][renderizer_gl.cpp(336)] Xinerama Extension version 1.1
[25/03/2010 21:19:35] [RenderizerGL][renderizer_gl.cpp(362)] Got a 24 bit visual (33) with a 24 bit depth buffer
[25/03/2010 21:19:35] [RenderizerGL][renderizer_gl.cpp(431)] Resolutions: 1024x768x16 1280x1024x16 1152x864x16 832x624x16 800x600x16 
[25/03/2010 21:19:35] [RenderizerGL][renderizer_gl.cpp(494)] OpenGL vendor: Tungsten Graphics, Inc.
[25/03/2010 21:19:35] [RenderizerGL][renderizer_gl.cpp(495)] OpenGL renderer: Mesa DRI R200 (RV280 5964) 20090101 AGP 4x x86/MMX/SSE2 TCL
[25/03/2010 21:19:35] [RenderizerGL][renderizer_gl.cpp(496)] OpenGL version: 1.3 Mesa 7.6
[25/03/2010 21:19:35] [RenderizerGL][renderizer_gl_extensions_loader.cpp(298)] Detected 29 OpenGL extensions: GLX_SGI_swap_control, GL_ARB_draw_buffers, GL_ARB_multisample, GL_ARB_multitexture, GL_ARB_point_parameters, GL_ARB_point_sprite, GL_ARB_texture_compression, GL_ARB_texture_cube_map, GL_ARB_texture_env_add, GL_ARB_texture_env_combine, GL_ARB_texture_env_crossbar, GL_ARB_texture_env_dot3, GL_ARB_texture_rectangle, GL_ARB_vertex_buffer_object, GL_ARB_vertex_program, GL_EXT_blend_func_separate, GL_EXT_draw_range_elements, GL_EXT_fog_coord, GL_EXT_packed_depth_stencil, GL_EXT_secondary_color, GL_EXT_separate_specular_color, GL_EXT_stencil_wrap, GL_EXT_texture3D, GL_EXT_texture_compression_s3tc, GL_EXT_texture_edge_clamp, GL_EXT_texture_filter_anisotropic, GL_EXT_texture_lod_bias, GL_SGIS_generate_mipmap, GL_SGIS_texture_lod
And this is my crash backtrace

Code:
./game(_ZN10ClientBase14save_backtraceEv+0x69) [0x8262d69]
./game(_ZN10ClientBase12client_crashEi+0xf) [0x826325f]
[0xb7883400]
/usr/lib/dri/r200_dri.so(r200ValidateState+0x120) [0xb70c9e30]
/usr/lib/dri/r200_dri.so [0xb70ca7b0]
/usr/lib/dri/r200_dri.so(_tnl_draw_prims+0xc54) [0xb7192ab4]
/usr/lib/dri/r200_dri.so(_tnl_vbo_draw_prims+0x79) [0xb7192d99]
/usr/lib/dri/r200_dri.so [0xb718a79a]
/usr/lib/dri/r200_dri.so [0xb7181c67]
./game(_ZN8Engine3D12RenderizerGL18render_gui_surfaceEPNS_7SurfaceE+0x88c) [0x87f217c]
./game(_ZN8Engine3D12RenderizerGL15render_gui_meshEffPNS_4MeshEPKSt6vectorI10BitmapBaseSaIS4_EEPKS3_I13StringElementSaIS9_EEf+0x35c) [0x87f0cdc]
./game(_ZN3GUI16Drawable_GUIMesh15render_internalEv+0xd3) [0x85a4913]
./game(_ZN3GUI8Drawable6renderEv+0x28) [0x854b788]
./game(_ZN3GUI6Widget11draw_signalENS_9AreaCoordE+0x102) [0x85858a2]
./game(_ZN3GUI6Widget11draw_signalEv+0x73) [0x8585c93]
./game(_ZN13DisplayEntity15show_next_frameEv+0x46) [0x82556f6]
./game(_ZN13DisplayEntity15creation_notifyEP7Message+0x362) [0x8257572]
./game(_ZN13EntityManager32initialize_entity_as_custom_typeEPKciS1_P7MessageP6Entity+0x40c) [0x84820dc]
./game(_ZN10GameClient19initialize_entitiesEv+0x823) [0x81b8a33]
./game(_ZN10GameClient4initEiPPc+0x208) [0x81bcd28]
./game(main+0x16f) [0x81b160f]
/lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe6) [0xb739fb56]
./game(ftell+0x39) [0x81b13c1]
My video card is rather an oldie Radeon 9200 SE ... but i dont think its the problem seeing as i cant get into the game in the first place.

Any help would be greatly appriciated.
CrimsonTear no ha iniciado sesión   Reply With Quote
Old 03-25-2010, 09:00 PM   #2
TweakNet
Pledge
 
Join Date: Jan 2010
Posts: 7
TweakNet is on a distinguished road
Default

OpenGL vendor: Tungsten Graphics, Inc.
OpenGL renderer: Mesa DRI R200 (RV280 5964) 20090101 AGP 4x x86/MMX/SSE2 TCL
OpenGL version: 1.3 Mesa 7.6

Your problem is that you are using the open source video card drivers for your Radeon 9200se video card rather than the proprietary drivers. The open source drivers do not support 3D graphics processing, only 2D. To fix your problem I suggest you install the proprietary drivers instead. If you provide me with the Linux distribution you are using I can provide more detailed information. Thanks.
TweakNet no ha iniciado sesión   Reply With Quote
Old 03-25-2010, 09:13 PM   #3
CrimsonTear
Pledge
 
Join Date: Mar 2010
Posts: 7
CrimsonTear is on a distinguished road
Default

I am using Ubuntu 9.10 (karmic)


Linux big-v-desktop 2.6.31-20-generic #58-Ubuntu SMP Fri Mar 12 05:23:09 UTC 2010 i686 GNU/Linux


I hope this is what you ment, if not then im sorry, still new to linux ( makes me feel like i never used a PC before )

As for the proprietary drivers. Do you mean by that that i need to go to Ati homepage and get the linux driver for my video card(radeon 9200 SE) ?
Thanks for responding so quickly
CrimsonTear no ha iniciado sesión   Reply With Quote
Old 03-25-2010, 10:45 PM   #4
TweakNet
Pledge
 
Join Date: Jan 2010
Posts: 7
TweakNet is on a distinguished road
Default

Click on System, Administration and then choose Hardware Drivers. If luck is on your side you should see a list of proprietary drivers for your video card. If that is not the case then go to http://support.amd.com/us/gpudownloa...n-prer200.aspx . My brother is using an old GeForce 2 Ti Deluxe 64mb card for this game and it runs smoothly, so you should not have too many issues.
TweakNet no ha iniciado sesión   Reply With Quote
Old 03-26-2010, 06:32 AM   #5
Arafails
Baron
 
Arafails's Avatar
 
Join Date: Nov 2007
Location: Not where it looks like, to either of us.
Posts: 706
Arafails will become famous soon enough
Default

@TweakNet, you don't seem to know what you're talking about. Your information is actually a few years out of date.

R200 series GPUs (including, yes, the 9200SE) have not been supported by proprietary drivers on Linux for quite some time now (Last support was fglrx 8.28.8 – Released in August 2006. Support for these chipsets was dropped the next month).
Additionally they open source drivers for these support almost all OpenGL functions the proprietary driver every did, and some others it didn't. The extensions line CrimsonTear's log.txthas is proof of this.
Furthermore the driver you linked to will not even run on Ubuntu 9.10. They don't support the kernel version, and they don't support the Xorg version. They will not work, to the point of break the system (including making it hard to go back to the open drivers). CrimsonTear will lose countless braincells just trying to decipher the various error messages he'll get.

@CrimsonTear: DO NOT INSTALL THE DRIVER TWEAKNET LINKED TO!!! It will cause seemingly (not actually, but to a new user quite nearly) irreparable damage to your system's capability to render 3D and 2D graphics.
Rather you should try updating to a newer version of your current drivers. Your first port of call should be https://launchpad.net/~ubuntu-x-swat...ive/x-updates/
__________________
If you can't detect sarcasm yourself, please pay attention when it's pointed out to you.
Arathael :: Wyrd Sceote :: Gwn M'gerSoul Taker, Imperial Guard of Ignis
Arafails no ha iniciado sesión   Reply With Quote
Old 03-26-2010, 06:17 PM   #6
CrimsonTear
Pledge
 
Join Date: Mar 2010
Posts: 7
CrimsonTear is on a distinguished road
Default

@TweakNet

Thanks for trying

@Arafails

Thanks for the warning and pointing out where to look for the solution, will check it out and post as soon as i come up with something. thanks again (^_^)

Edit: i did everything on https://launchpad.net/+help/soyuz/ppa-sources-list.html till step 3

but it doesent say what to do further, could you please tell me the next step?

I assume ill be needing some packadges or something but im not sure which ones

Last edited by CrimsonTear; 03-26-2010 at 06:37 PM.
CrimsonTear no ha iniciado sesión   Reply With Quote
Old 03-26-2010, 08:37 PM   #7
TweakNet
Pledge
 
Join Date: Jan 2010
Posts: 7
TweakNet is on a distinguished road
Default

Click on System, go to Administration and then open Software Sources. Click on the Other Sources tab and then click on Add. At the Apt line, enter 'ppa:ubuntu-x-swat/x-updates' and then click Add Source. When you click close it will update your repository tree.
TweakNet no ha iniciado sesión   Reply With Quote
Old 03-26-2010, 08:54 PM   #8
CrimsonTear
Pledge
 
Join Date: Mar 2010
Posts: 7
CrimsonTear is on a distinguished road
Default

i did add that adress as a source, it was already listed in there and the tree was updated.

But i assume now i will need some packs ( or drivers ) from the ppa thing, so i was just wondering which ones i would need?

P.S.

totally appriciate your resposnes guys, its nice to see people who can help out a guy who basically knows nothing about linux.
CrimsonTear no ha iniciado sesión   Reply With Quote
Old 03-26-2010, 09:02 PM   #9
TweakNet
Pledge
 
Join Date: Jan 2010
Posts: 7
TweakNet is on a distinguished road
Default

Click on System, go to Administration and open Synaptic Package Manager. Search for the package xserver-xorg-video-ati. If it is not already installed, click on the check box next to the package and click Apply.
TweakNet no ha iniciado sesión   Reply With Quote
Old 03-26-2010, 09:15 PM   #10
CrimsonTear
Pledge
 
Join Date: Mar 2010
Posts: 7
CrimsonTear is on a distinguished road
Default

it seems to be installed but the game still has the same problem.
in this screenshot you can see what i have and dont have installed when searching for xserver-xorg-video-ati.

CrimsonTear no ha iniciado sesión   Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT. The time now is 02:51 AM.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2022, vBulletin Solutions, Inc.
NGD Studios 2002-2016 © All rights reserved